﻿/* 画面ローディング中の設定 */
/*#loader-bg {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    background: #e0ffff;
    z-index: 1;
}*/

/*#loader {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    width: 200px;
    height: 200px;
    margin-top: -100px;
    margin-left: -100px;
    text-align: center;
    color: #4682b4;
    z-index: 2;
}*/

#container {
    display: none;
}





/* クリアするための×ボタン非表示 */
::-ms-clear {
    display: none;
}
/*テキストボックスの設定*/
input[type="text"] {
    font-weight: bold;
    font-size: 14px;
    font-family: 'MS Gothic';
   /* border-width: 0.5px;
    border-style: solid;*/
}

/* readonly時に色変 */
input[type=text][readonly] {
    background-color: #d0d0d0;
    table-layout: fixed;
}

/* フォーカス時に色変 */
input[type="text"]:focus {
    /*background-color: #ffff99;*//*黄色から変更*/
      background-color: #FFD3A3 !important;
}

/*ボタンの設定*/
input[type="submit"] {
    font-weight: bold;
    font-size: 16px;
    font-family: 'MS Gothic';
    border-width: 1px;
}

/*ドロップダウンリスト内の設定*/
select {
    font-weight: bold;
    font-size: 14px;
    font-family: 'MS Gothic';
    border-width: 1px;
    border-style: solid;
    margin: 0px;
    padding: 0px;
}







/*必須項目(class="require")の後ろに紅い「*」をつけます。*/
/*.require::after {
    color: red;
    content: "*";
}

/*テーブルの必須項目ではない見出し(th)の後ろに7pxの空白を設けます。(必須項目とのレイアウト調整のため。)*/
/*th:not(.require)::after {
    content: '';
    padding-right: 7px;
}*/


/*テーブル設定*/
table {
    border-spacing: 0;
    font-weight: normal;
    }


/*見出しセルを右寄せします。*/
table th {
    text-align: right;
    
}

/*明細の見出しセルを中央寄せします。*/
#TBL見出し th {
    text-align: center;
}

/*テーブルの見出し行の文字を中央寄せします。*/
table .index {
    text-align: center;
}

/*テーブルに境界線を引きたいときは、classにTBLborderを指定*/
.TBLborder {
    border-width: 1px;
    /*border-style: solid;*/
    /*border-collapse: collapse;*/
    border-collapse: separate;/*テーブル同士の幅を1pxずつ修正*/
    border-spacing: 1px 1px;
    
    
}
    /*th,td要素にも格子状に罫線を引きます*/
    .TBLborder th, .TBLborder td {
        border-width: 1px;
        border-style: solid;
        border-collapse: collapse;

    }

    /*テキストボックスの枠線を消します
    .TBLborder input[type="text"] {
        border-style: none;
        width: 100%;
    }*/

    .TBLborder td input[id^="TXT"] {
        background-color: white;

    }

    /*最初のtr行をセンタリング*/
    /*.TBLborder tr:first-child {
        text-align: center;
    }*/

    /*最初の行以外もセンタリングしたい場合はtrタグにクラスindexを追加してください*/
    .TBLborder tr .index {
        text-align: center;
       
    }




/* 画面全体の設定 */
.CSSform {
    width: 1266px;
    height: 635px;

    /*background-color: #E0FCFF;*/
   /*background-color: #bfe4ff;*/
   background-image: url("/construction/images/背景画像.png");
   /*background-image: url("/images/背景画像.png");*/
    background-size:1266px 695px;
    color: #253C60;
    /*color: #005aff;*/
    margin: 0;
    padding: 0;
    font-size: 16px;
    font-family: 'MS Gothic';
}

/*ヘッダーの設定*/
.CSShead {
    position: relative;
    width: 1266px;
    height: 30px;
    border-width: 1px;
    float: none;
    margin: 0;
    padding: 0;
    /*padding-bottom: 2px;*/
    font-size: 16px;
    background-color: #004391; /*背景色(確認用)*/
    color: white;

}

/*ヘッダー中央    機能名*/
.CSShead_TITLE {
    height: 30px;
    position: absolute; /*ヘッダーと重ねる*/
    padding-top: 5px;
    width: 98%;
    text-align: center;
    font-size: 25px;
    font-weight: bold;
    /*line-height: 0px;*/ /*行間の設定*/

}

/*ヘッダー左側    会社名・利用者名等*/
    .CSShead_LEFT {
        position: absolute; /*ヘッダーと重ねる*/
        padding-top: 0px;
        padding-left: 10px;
        width: 98%;
        height: 30px;
        text-align: left;
        font-size: 28px;
        vertical-align: top;
        display: flex;
	    align-items: center;
       /* background-color:green;*/
    }



/*ヘッダー右側    ヘルプ等*/
.CSShead_RIGHT {
    position: absolute; /*ヘッダーと重ねる*/
    padding-top: 7px;
    padding-right: 10px;
    height: 30px;
    width: 98%;
    text-align: right;
    font-size: 13px;
    vertical-align: top;
   
}

/*ヘッダー    リンク*/
.CSShead_LINK {
    color: white;
}


/*スクロールバーを画面端にする設定です。*/
.CSSscrollbar {
    width: 100%;
    max-width: 1266px;
    height: 600px;
    margin: 0px;
    padding: 0px;
    overflow: auto;
}


/* コンテンツ部分の設定 */
.CSScontent {
    /*各ページのcssにコンテンツ部分のwidth(幅)を書いてください。*/
    max-width: 1266px;
    height: 590px;
    padding-top: 10px;
    font-family: 'MS Gothic';
    margin-right: auto;
    margin-left: auto;
}



/*フッター*/
.CSSfooter {
    text-align: center;
    width: 1266px;
    height: 35px; 
    /*background-color:red;*//*調整用の色*
    /*margin: 0;*/
    /*padding: 0;*/
}

/*フッター左側    終了・キャンセル・PDF出力*/
.CSSfooter_LEFT {
    position: absolute; /*フッターと重ねる*/
    padding-top: 2px;/*下へ元は2*/
    padding-left: 10px;
    height: 30px;
    width: 600px;
/*  width: 1252px;*/
    text-align: left;
    font-size: 16px;
    vertical-align: top;
    /*background-color:blue;*//*調整用の色*/
}

/*フッター右側    ＤＢ更新・画面遷移等*/
.CSSfooter_RIGHT {
/*  position: absolute; /*フッターと重ねる*/
    padding-top: 2px;/*下へ*/
    padding-right: 10px;
    height: 30px;
    width: 1250px;
/*  width: 1252px;*/
    text-align: right;
    font-size: 16px;
    vertical-align: top;
    /*background-color:green;*//*調整用の色*/
}

/*ファンクションテーブル*/
.CSSTBLファンクション {
    width: inherit;
    height:35px;
    margin: 0;
    padding: 0;
    /*background-color:yellow;*//*調整用の色*/
}

    .CSSTBLファンクション td {
        border-style: hidden;
        /*background-color: #ABD4FB;*/
    }

/*ファンクションボタン*/
.CSSBTNファンクション {
    width: 110px;
    height: 20px;
    margin: 0px;
    padding: 0px;
    background-color: royalblue;
    color: white;
    font-size: 18px;
}

/*コピーライト*/
.CSSコピーライト {
    vertical-align: middle;
    color:white;
    font-weight: bold;
    text-align: center;
    font-size: 13px;
    width: inherit;
    background-color: dodgerblue;
    height: 25px;
    display: table-cell;
    margin-top: 0px;
    padding: 0;
    /*background-color:pink;*//*調整用の色*/
}

/*.CSSコピーライト #LabelNowLoading{
    height: 25px;
    vertical-align: middle;
    color:black;
    font-weight: bold;
    text-align: center;
    font-size: 13px;
    padding-bottom:10px;
}*/

/*.CSSfooter_Loading {
    position: absolute; 
    margin: 0px;
    padding-left: 10px;
    text-align: left;
    vertical-align: middle;
    top: 640px;
}*/
/*メッセージ用*/
.CSSTXTMSG {
    background-color: transparent;
    border-style: solid;
    color: transparent;
    width: 0px;
    display: none;
    margin: 0;
}

/*隠し項目*/
.CSS隠し項目 {
    position: absolute;
    background-color: transparent;
    color: transparent;
    width: 0px;
    display: none;
    margin: 0;
}
.loader {
            position: absolute;
            top: 50%;
            left: 50%;
            width: 300px;
            height: 100px;
            margin-top: -100px;
            margin-left: -100px;
            text-align: center;
            color: #000000;
            font-family: MS Gothic;
            font-weight: bold;
            background: #ffffff;
	        border-radius: 15px; /* 丸角 */

}


/*input:required:empty {
  background: #FFE6F0 !important; 赤
  background: #FFF4D0 !important; 黄
} */

/*必須項目のテキストボックスの色変更*/
input:required {
  /*background: #FFE6F0 !important;*/ /*赤*/
  background: #FFF4D0 !important; /*黄*/
}

/*必須項目フォーカス時色変更*/
input:required:focus {
  background: white;
}


	

/*Loading {
    color: black;
    font-weight: bold;
    height: 20px;
    position: absolute; /*ヘッダーと重ねる*/
    /*margin: 0px;
    padding-left: 10px;
    text-align: left;
    vertical-align: middle;
    top: 100px;
}*/


/*項目名検索ボタン*/
.CSSbtnitem{
    font-size:16px;
    width:113px;
    text-align: center;
    background-color: #85EEFF;
    color: #253C60;
    border-radius:5px;
}

/*項目名検索ボタンにカーソルを合わせたときの挙動と色*/
.CSSbtnitem:hover{
    background:#00bcd4;
    color:white;
}

/*ヘルプボタン*/
.CSSbtnhelp{
    font-size:12px !important;
    width:50px;
    height:16px;
    text-align: center;
    background-color: #FFF100;/*黄色*/
    color: #000eff;/*紺*/
    border-radius:5px;
    padding: 0.1em;
}
/*ログアウトボタン*/
.CSSbtnlogout{
    font-size:12px !important;
    width:68px;
    height:16px;
    text-align: center;
    background-color: red;/*赤*/
    color: white;/*白*/
    border-radius:5px;
    padding: 0.1em;
}
/*カーソルの変更*/
.cursor{
  cursor : pointer;
}

.cursor input[id^="CHK"]{
    cursor : pointer;
}

/*項目名以外のボタン*/
.CSSbtnother{
    /*font-size:16px;*/
    width:80px;
    text-align: center;
    background-color: #4169E1;/*#bfe4ff;*/
    color: white;
    border-radius:5px
}

/*ボタン中央揃え*/
.button_center{ 
   text-align:center;
}

/*項目名検索ボタン(名前が長い場合用)*/
.CSSbtnitemo{
    font-size:16px;
    width:130px;
    text-align: center;
    background-color: #85EEFF;
    color: #253C60;
    border-radius:5px;
}

/*項目名検索ボタンにカーソルを合わせたときの挙動と色*/
.CSSbtnitemo:hover{
    background:#00bcd4;
    color:white;
}

/*項目名検索ボタン(名前が長い場合用)*/
.CSSbtnitemb{
    font-size:16px;
    width:140px;
    text-align: center;
    background-color: #85EEFF;
    color: #253C60;
    border-radius:5px;
}

/*項目名検索ボタンにカーソルを合わせたときの挙動と色*/
.CSSbtnitemb:hover{
    background:#00bcd4;
    color:white;
}

.CSSlblkoumoku_sqr{
    border-style:ridge;
    font-size:16px;
    text-align: center;
    background-color:#bfe4ff;
    padding: 0.1em;
}


.CSSLinkBTN{
  
    font-size:12px !important;
    width:70px;
    height:20px;
    text-align: center;
    background-color: red;/*赤*/
    color: white;/*白*/
    border-radius:3px;
    padding: 0.2em;
    text-decoration: none;
}

/*項目名検索ボタンにカーソルを合わせたときの挙動と色*/
.CSSLinkBTN:hover{
    background:#00bcd4;
    color:white;
}

.CSSLinkBTNh{
  
    font-size:12px !important;
    width:70px;
    height:20px;
    text-align: center;
    background-color: #FFF100;/*黄色*/
    color: #000eff;/*紺*/
    border-radius:3px;
    padding: 0.2em;
    text-decoration: none;
}

/*項目名検索ボタンにカーソルを合わせたときの挙動と色*/
.CSSLinkBTNh:hover{
    background:#00bcd4;
    color:white;
}

/* 30*16+2  だったがこの計算式正しくないかもしれない*/
.CSSzen25 {
    width:370px;
}
